> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scoot.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Image

Uploads an image file with specified dimensions and type for use in Scootaverse sessions.


## OpenAPI

````yaml POST /api/v1/image/upload/{imageName}/{type}/{width}/{height}
openapi: 3.0.2
info:
  title: Scoot Customer API - Complete Documentation
  version: 1.0.0
  description: >-
    Complete API documentation for Scoot customer-facing endpoints with full
    type definitions from the backend service.
servers:
  - url: https://api.scoot.app
    description: Production server
security: []
tags:
  - name: Social
    description: Social event management endpoints
  - name: Room
    description: Room management endpoints
  - name: Theme
    description: Theme and background management endpoints
  - name: Event
    description: Event registration and management endpoints
  - name: Recording
    description: Recording and transcription endpoints
  - name: Playlist
    description: Audio playlist management endpoints
  - name: Badging
    description: Badge and gamification endpoints
  - name: User
    description: User management endpoints
paths:
  /api/v1/image/upload/{imageName}/{type}/{width}/{height}:
    post:
      tags:
        - ImageController
      summary: POST /api/v1/image/upload/{imageName}/{type}/{width}/{height}
      operationId: post__api_v1_image_upload_imageName_type_width_height
      parameters:
        - in: path
          name: imageName
          required: true
          schema:
            type: string
        - in: path
          name: type
          required: true
          schema:
            type: string
        - in: path
          name: width
          required: true
          schema:
            type: integer
        - in: path
          name: height
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: string
              format: byte
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Image'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Image:
      type: object
      properties:
        imageId:
          type: string
          format: uuid
        userId:
          type: string
          format: uuid
        imageGroup:
          type: string
        imageName:
          type: string
        imageSize:
          type: string
        imageType:
          type: string
        imageColor:
          type: string
        visibleToPublic:
          type: boolean
        active:
          type: boolean
        imageURI:
          type: string
        user:
          $ref: '#/components/schemas/User'
        error:
          type: string
    User:
      type: object
      properties:
        userId:
          type: string
          format: uuid
        name:
          type: string
        firstName:
          type: string
        middleName:
          type: string
        lastName:
          type: string
        emailAddress:
          type: string
        emailVerified:
          type: boolean
        preload:
          type: boolean
        mobilePhone:
          type: string
        mobilePhoneVerified:
          type: boolean
        mobilePhoneVerifiedWeb:
          type: boolean
        profileId:
          type: string
        profileImageURI:
          type: string
        profileImageId:
          type: string
          format: uuid
        profileImageBackground:
          type: string
        timeZone:
          type: string
        registeredDateTime:
          type: string
          format: date-time
        active:
          type: boolean
        actedAs:
          type: boolean
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````